<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: AdServer.php 2024 2005-03-10 17:21:43Z andrew $
*/

/**
 * @package    MaxMaintenance
 * @subpackage Priority
 * @author     Andrew Hill <andrew@awarez.net>
 */

require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/ZoneImpressionForecast.php';
require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/RequiredAdvertisementImpression.php';
require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/AdvertisementZoneImpressionAllocation.php';
require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/FilterCompensation.php';
 
/**
 * 
 */
class Maintenance_Priority_AdServer
{
    var $updateZoneImpressionForecast;
    
    /**
     * The class constructor method.
     *
     * @TODO Needs to be written.
     */
    function Maintenance_Priority_AdServer()
    {
        
    }
    
    /**
     * A method to update the forecast impressions for each zone.
     */
    function updateZoneImpressionForecast()
    {
        if ($this->updateZoneImpressionForecast) {
            $conf = $GLOBALS['_MAX']['CONF'];
            if (isset($conf['maintenance']['zifc'])) {
                $zif = Maintenance_Priority_AdServer_ZoneImpressionForecast::instance($conf['maintenance']['zifc']);
            } else {
                $zif = Maintenance_Priority_AdServer_ZoneImpressionForecast::instance();
            }
            $zif->forecastZoneImpressions();
        }
    }
    
    /**
     * A method to calculate the required impressions in the next operation
     * interval for each active advertisement.
     *
     * @TODO Incomplete implementation. Only run if we updated the Zone Impression Forecast?
     */
    function calculateRequiredAdvertisementImpressions()
    {
        $conf = $GLOBALS['_MAX']['CONF'];
        if (isset($conf['maintenance']['raic'])) {
            $rac = Maintenance_Priority_AdServer_RequiredAdvertisementImpression::instance($conf['maintenance']['raic']);
        } else {
            $rac = Maintenance_Priority_AdServer_RequiredAdvertisementImpression::instance();
        }
        $rac->calculateRequiredImpressions();
    }
    
    /**
     * A method to allocate the required ad impressions to zones.
     *
     * @TODO Incomplete implementation. Only run if we updated the Zone Impression Forecast?
     */
    function allocationAdvertisementImpressions()
    {
        $conf = $GLOBALS['_MAX']['CONF'];
        if (isset($conf['maintenance']['aziac'])) {
            $azia = Maintenance_Priority_AdServer_AdvertisementZoneImpressionAllocation::instance($conf['maintenance']['aziac']);
        } else {
            $azia = Maintenance_Priority_AdServer_AdvertisementZoneImpressionAllocation::instance();
        }
        $azia->allocateAdvertisementImpressions();
    }
    
    /**
     * A method to modify the ad priorities to compensate for delivery filters.
     *
     * @TODO Incomplete implementation. Only run if we updated the Zone Impression Forecast?
     */
    function compensateForFilters()
    {
        $conf = $GLOBALS['_MAX']['CONF'];
        if (isset($conf['maintenance']['fcc'])) {
            $fc = Maintenance_Priority_AdServer_FilterCompensation::instance($conf['maintenance']['fcc']);
        } else {
            $fc = Maintenance_Priority_AdServer_FilterCompensation::instance();
        }
        // $fz->
    }
    
    /**
     * A method to save the calcuated priorities to the database.
     *
     * @TODO Needs to be written. Only run if we updated the Zone Impression Forecast?
     */
    function savePriorities()
    {
        
    }
    
    /**
     * A method to log the completion of the prioritisation process.
     *
     * @TODO Needs to be written.
     */
    function logCompletion()
    {
        
    }
    
}

?>
