<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: publisherJs.plugin.php 2280 2005-03-30 14:05:56Z radek $
*/

/**
 * @package    Plugins
 * @subpackage InvocationTags
 * @author     Radek Maciaszek <radek@awarez.net>
 *
 */

require_once MAX_PATH . '/plugins/invocationTags/InvocationTags.php';
require_once MAX_PATH . '/lib/max/Plugins/PluginTranslation.php';

/**
 *
 * Invocation tag plugin.
 *
 */
class Plugins_InvocationTags_publisherJS_publisherJS extends Plugins_InvocationTags 
{
    
    /**
     * Check if plugin is allowed
     *
     * @return boolean  True - allowed, false - not allowed
     */
    function isAllowed()
    {
        return false;
    }
    
    /**
     * Return invocation code for this plugin (codetype)
     *
     * @return string
     */
    function generateInvocationCode()
    {
        $conf = $GLOBALS['_MAX']['CONF'];
        $mi = &$this->maxInvocation;
        
        $res = phpAds_dbQuery("
            SELECT
                mnemonic
            FROM
                {$conf['table']['prefix']}{$conf['table']['affiliates']}
            WHERE
                affiliateid=$mi->affiliateid
        ") or phpAds_sqlDie();
        
        $mnemonic = '';
        if ($row = phpAds_dbFetchArray($res)) {
            $mnemonic = $row['mnemonic'];
        }
        
        $res = phpAds_dbQuery("
            SELECT
                affiliateid,
                zoneid,
                zonename,
                width,
                height,
                delivery
            FROM
                {$conf['table']['prefix']}{$conf['table']['zones']}
            WHERE
                affiliateid=$mi->affiliateid
            ") or phpAds_sqlDie();


        while ($row = phpAds_dbFetchArray($res)) {
            $aZoneId[]   = $row['zoneid'];
            $aZoneName[] = $row['zonename'];
            $aZoneType[] = $row['delivery'];
            $aN[]        = $mnemonic . substr(md5(uniqid('', 1)), 0, 7);
            $aWidth[]    = $row['width'];
            $aHeight[]   = $row['height'];
        }

        if(!isset($mi->aZoneId) || !is_array($mi->aZoneId))
            return 'No Zones Available!';

        $script = "
<html>
<head>
<!-- NOTE: You can remove the (extensive) comments when moving this code
  --       to a live server to reduce the size of your pages
  -->

<!-- Max Media Manager Channel Script
  --
  -- Generated with Max " . MAX_VERSION_READABLE . "
  --
  -- Include this script directly ABOVE the Max Media Manager Header Script
  -- (defined below), in the <head> tag.
  --
  -- The script below should define a variable, az_channel. This variable
  -- should contain the name of the 'virtual directory' of the site.
  --
  -- For example, if you are on the football summary page of the sports section
  -- of a news site, the following should be included:
  --   var az_channel = '$mnemonic/sports/football';
  -- Conversely, if you are on the home page of the site, the variable should be:
  --   var az_channel = '$mnemonic';
  -->

<script language='JavaScript' type='text/javascript'>
<!--
  var az_channel = '$mnemonic';
//-->
</script>



<!-- Max Media Manager Header Script
  --
  -- Generated with Max " . MAX_VERSION_READABLE . "
  --
  -- Include this script below the Max Media Manager Channel Scipt (but still
  -- in the <head> tag) of every page on your site.
  --
  -- NOTE: This script does not change for any page on your site, so it may be
  --     more efficient to include it as a .js file rather than putting the
  --     entire text on every page. For example, if you cut and paste the code
  --     below and store it in a file called 'mmm.js', the code below should
  --     call the script:
  --   
  -- <script language='JavaScript' type='text/javascript' src='mmm.js'></script>
  -->

<script language='JavaScript' type='text/javascript'>
<!--
var az_p=location.protocol=='https:'?'https:':'http:';
var az_r=Math.floor(Math.random()*99999999);
if (!document.phpAds_used) document.phpAds_used = ',';
function az_adjs(z,n)
{
  if (z>-1) {
    var az=\"<\"+\"script language='JavaScript' type='text/javascript' \";
    az+=\"src='\"+az_p+\"".constructPartialDeliveryUrl($conf['file']['js'])."?n=\"+n+\"&zoneid=\"+z;
    az+=\"&source=\"+az_channel+\"&exclude=\"+document.phpAds_used+\"&r=\"+az_r;
    if (window.location) az+=\"&loc=\"+escape(window.location);
    if (document.referrer) az+=\"&referer=\"+escape(document.referrer);
    az+=\"'><\"+\"/script>\";
    document.write(az);
  }
}
function az_adpop(z,n)
{
  if (z>-1) {
    var az=\"<\"+\"script language='JavaScript' type='text/javascript' \";
    az+=\"src='\"+az_p+\"".constructPartialDeliveryUrl($conf['file']['popup'])."?n=\"+n+\"&zoneid=\"+z;
    az+=\"&source=\"+az_channel+\"&exclude=\"+document.phpAds_used+\"&r=\"+az_r;
    if (window.location) az+=\"&loc=\"+escape(window.location);
    if (document.referrer) az+=\"&referer=\"+escape(document.referrer);
    az+=\"'><\"+\"/script>\";
    document.write(az);
  }
}
//-->
</script>
</head>

<body>



<!-- Max Media Manager Ad Tag Script(s)
  --
  -- Generated with Max " . MAX_VERSION_READABLE . "
  --
  -- The following are the script(s) for each ad tag. There are a couple of items to watch out for:
  --
  -- 1. Each tag has a different zone number (var 1), and a different key value (var 2). If the
  --    key value is the same for any two zone tags, the clickthrough URL may not work correctly.
  -- 2. Each tag has a <noscript> section. If this tag is on an SSL page, change the 
  --    'http://{$conf['webpath']['delivery']}/...' to 'https://{$conf['webpath']['deliverySSL']}/...'
  --    Note that the <noscript> section cannot dynamically choose between SSL and non-SSL.
  -- 3. The <noscript> section will only show image banners. There is no width or height in
  --    these banners, so if you want these tags to allocate space for the ad before it shows,
  --    you need to add this information to the <img> tag.
  -- 4. If you do not want to deal with the intricities of the <noscript> section, delete the
  --    tag (from <noscript>... to </noscript>). On average, the <noscript> tag is called from
  --    less than 1% of internet users.
  -->
";
        
            foreach($aZoneName as $key=>$zoneName) {
                $name = str_replace('\'','',$zoneName) . " - " . str_replace('\'','',$aWidth[$key]) . "x". str_replace('\'','',$aHeight[$key]);
                if ($aZoneType[$key] != phpAds_ZonePopup) {
                    $script .= "
                   
<br /><br />$name<br />
<script language='JavaScript' type='text/javascript'>
<!--
az_adjs({$aZoneId[$key]},'{$aN[$key]}');
//-->
</script>
";
                    if ($aZoneType[$key] != phpAds_ZoneText) {
                        $script .= "<noscript>\n";
                        $script .= "  <a target='_blank' href='".constructDeliveryURL($conf['file']['click'])."?n={$aN[$key]}'>\n";
                        $script .= "  <img border='0' alt='' src='".constructDeliveryURL($conf['file']['view'])."?zoneid={$aZoneId[$key]}&n={$aN[$key]}' /></a>\n";
                        $script .= "</noscript>";
                    }
                }
                else {
                    // This is a popup zone, so generate popup.php invocation not javascript
                    $script .= "
                   
<br /><br />$name<br />
<script language='JavaScript' type='text/javascript'>
<!--
az_adpop({$aZoneId[$key]},'{$aN[$key]}');
//-->
</script>
";
                    
                }
            }
        
            $script .= "

</body>
</html>";
            
        return $script;
    }

}

?>